HPL_dlange(3)

NAME
HPL_dlange - Compute ||A||.

SYNOPSIS
#include "hpl.h"

double HPL_dlange( const HPL_T_NORM NORM, const int M, const int N, const double * A, const int LDA );

DESCRIPTION
HPL_dlange returns the value of the one norm, or the infinity norm, or the element of largest absolute value of a matrix A:

   max(abs(A(i,j))) when NORM = HPL_NORM_A,
   norm1(A), when NORM = HPL_NORM_1,
   normI(A), when NORM = HPL_NORM_I,

where norm1 denotes the one norm of a matrix (maximum column sum) and normI denotes the infinity norm of a matrix (maximum row sum). Note that max(abs(A(i,j))) is not a matrix norm.

ARGUMENTS

NORM    (local input)           const HPL_T_NORM
    On entry, NORM specifies the value to be returned by this function as described above.

M       (local input)           const int
    On entry, M specifies the number of rows of the matrix A. M must be at least zero.

N       (local input)           const int
    On entry, N specifies the number of columns of the matrix A. N must be at least zero.

A       (local input)           const double *
    On entry, A points to an array of dimension (LDA,N), that contains the matrix A.

LDA     (local input)           const int
    On entry, LDA specifies the leading dimension of the array A. LDA must be at least max(1,M).

EXAMPLE
#include "hpl.h"

int main(int argc, char *argv[])
{
   double a[2*2];
   a[0] = 1.0; a[1] = 3.0; a[2] = 2.0; a[3] = 4.0;
   norm = HPL_dlange( HPL_NORM_I, 2, 2, a, 2 );
   printf("norm=%f\n", norm);
   exit(0); return(0);
}

SEE ALSO
HPL_dlaprnt (3), HPL_fprintf (3).